SPI_W8R16(9)

NAME
spi_w8r16 - SPI synchronous 8 bit write followed by 16 bit read

SYNOPSIS

ssize_t spi_w8r16(struct spi_device * spi, u8 cmd);

ARGUMENTS

spi
    device with which data will be exchanged

cmd
    command to be written before data is read back

CONTEXT

can sleep

DESCRIPTION

This returns the (unsigned) sixteen bit number returned by the device, or else a negative error code. Callable only from contexts that can sleep.

The number is returned in wire-order, which is at least sometimes big-endian.

COPYRIGHT